> ## Documentation Index
> Fetch the complete documentation index at: https://devliz.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Discover TV with filters

> This endpoint allows you to find TV shows using over 30 filters and sort options.



## OpenAPI

````yaml api-reference/TMDB-OAS.yaml get /discover/tv
openapi: 3.0.3
info:
  title: TMDB API DOCS
  version: 1.0.0
  contact: {}
servers:
  - url: https://api.themoviedb.org/3
  - url: https://api.themoviedb.org
security:
  - bearerAuth: []
tags:
  - name: Authentication
    description: >-
      This section contains endpoints that let you create authentication
      sessions for TMDB Guests and User accounts.
  - name: Account
    description: >-
      This section contains endpoints that let you access and sync with TMDB
      user account information.
  - name: Certifications
    description: >-
      This section contains endpoints that provide an up-to-date list of the
      officially supported movies and TV show certifications on TMDB.
  - name: Changes
    description: >-
      This section contains endpoints that let you fetch the list of Movie IDs,
      People IDs, and TV show IDs that have been changed in the past 24 hours.
  - name: Collections
    description: >-
      This collection contains endpoints that let you fetch movie collection
      details.
  - name: Discover
    description: >-
      This section contains endpoints that let you search for movies and TV
      shows, using sorts and filters.
  - name: Configuration
    description: This section contains endpoints that let you query the API configuration.
  - name: Movies
    description: >-
      This section contains endpoints that let you fetch information about the
      movie resource.
  - name: Companies
    description: >-
      This section contains endpoints that fetch information about a movie
      production company.
  - name: Credits
    description: This section contains endpoint for credit details.
  - name: Find
    description: This section contains endpoints that let you find movie or TV data.
  - name: Genres
    description: This section contain endpoints that let you get movie and TV genres.
  - name: Search
    description: This section contains endpoints that let you search through TMDB
  - name: Keywords
    description: This section contains endpoints for keyword information in TMDB
  - name: Movie Lists
    description: >-
      This section contains endpoints that let you fetch information about list
      of movies on TMDB
  - name: Networks
    description: >-
      This section contains endpoints that let you get information about the
      streaming networks.
  - name: People Lists
    description: This section contains endpoints of list of people.
  - name: People
    description: >-
      This section contains endpoints that let you get information about a
      person.
  - name: Reviews
    description: This section contains endpoints for movie or TV reviews.
  - name: Trending
    description: This section contains endpoints for trending movies, TV shows, and people.
  - name: TV Series List
    description: This section contains endpoints for listing TV series.
  - name: TV Series
    description: >-
      This section contains endpoints that let you get information for a TV
      series by ID
  - name: TV Seasons
    description: This section contains endpoints for TV show seasons.
  - name: TV Episodes
    description: >-
      This section contains endpoints that let you query information about a TV
      episode.
  - name: TV Episode groups
    description: This section contains endpoints for TV Episode information
  - name: Watch providers
    description: >-
      This section contains endpoints that let you get information about watch
      providers.
paths:
  /discover/tv:
    get:
      tags:
        - Discover
      summary: Discover TV with filters
      description: >-
        This endpoint allows you to find TV shows using over 30 filters and sort
        options.
      operationId: discoverTvWithFilters
      parameters:
        - name: air_date.gte
          in: query
          schema:
            type: string
            example: date
        - name: air_date.lte
          in: query
          schema:
            type: string
            example: date
        - name: first_air_date_year
          in: query
          schema:
            type: string
            example: int32
        - name: first_air_date.gte
          in: query
          schema:
            type: string
            example: date
        - name: first_air_date.lte
          in: query
          schema:
            type: string
            example: date
        - name: include_adult
          in: query
          schema:
            type: string
            example: boolean
          description: Defaults to false
        - name: include_null_first_air_dates
          in: query
          schema:
            type: string
            example: boolean
          description: Defaults to false
        - name: language
          in: query
          schema:
            type: string
            example: string
          description: Defaults to en-US
        - name: page
          in: query
          schema:
            type: string
            example: int32
          description: Defaults to 1
        - name: screened_theatrically
          in: query
          schema:
            type: string
            example: boolean
        - name: sort_by
          in: query
          schema:
            type: string
            example: string
          description: Defaults to popularity.desc
        - name: timezone
          in: query
          schema:
            type: string
            example: string
        - name: vote_average.gte
          in: query
          schema:
            type: string
            example: float
        - name: vote_average.lte
          in: query
          schema:
            type: string
            example: float
        - name: vote_count.gte
          in: query
          schema:
            type: string
            example: float
        - name: vote_count.lte
          in: query
          schema:
            type: string
            example: float
        - name: watch_region
          in: query
          schema:
            type: string
            example: string
          description: >-
            use together with with_watch_monetization_types or
            with_watch_providers
        - name: with_companies
          in: query
          schema:
            type: string
            example: string
          description: can be a comma (AND) or pipe (OR) separated query
        - name: with_genres
          in: query
          schema:
            type: string
            example: string
          description: can be a comma (AND) or pipe (OR) separated query
        - name: with_keywords
          in: query
          schema:
            type: string
            example: string
          description: can be a comma (AND) or pipe (OR) separated query
        - name: with_networks
          in: query
          schema:
            type: string
            example: int32
        - name: with_origin_country
          in: query
          schema:
            type: string
            example: string
        - name: with_original_language
          in: query
          schema:
            type: string
            example: string
        - name: with_runtime.gte
          in: query
          schema:
            type: string
            example: int32
        - name: with_runtime.lte
          in: query
          schema:
            type: string
            example: int32
          description: >-
            use in conjunction with watch_region, can be a comma (AND) or pipe
            (OR) separated query
        - name: without_status
          in: query
          schema:
            type: string
            example: string
          description: >-
            possible values are: [0, 1, 2, 3, 4, 5], can be a comma (AND) or
            pipe (OR) separated query
        - name: with_watch_monetization_types
          in: query
          schema:
            type: string
            example: string
          description: >-
            possible values are: [flatrate, free, ads, rent, buy] use in
            conjunction with watch_region, can be a comma (AND) or pipe (OR)
            separated query
        - name: with_watch_providers
          in: query
          schema:
            type: string
            example: string
          description: >-
            use in conjunction with watch_region, can be a comma (AND) or pipe
            (OR) separated query
        - name: without_companies
          in: query
          schema:
            type: string
            example: string
        - name: without_genres
          in: query
          schema:
            type: string
            example: string
        - name: without_keywords
          in: query
          schema:
            type: string
            example: string
        - name: without_watch_providers
          in: query
          schema:
            type: string
            example: string
        - name: with_type
          in: query
          schema:
            type: string
            example: string
          description: >-
            possible values are: [0, 1, 2, 3, 4, 5, 6], can be a comma (AND) or
            pipe (OR) separated query
      responses:
        '200':
          description: Discover TV with filters
          headers:
            Alt-Svc:
              schema:
                type: string
                example: h3=":443"; ma=86400
            Cache-Control:
              schema:
                type: string
                example: public, max-age=8552
            Connection:
              schema:
                type: string
                example: keep-alive
            Content-Encoding:
              schema:
                type: string
                example: gzip
            Date:
              schema:
                type: string
                example: Fri, 13 Dec 2024 11:22:00 GMT
            ETag:
              schema:
                type: string
                example: W/"f3e19b0193f403411487080c87cca5de"
            Server:
              schema:
                type: string
                example: openresty
            Transfer-Encoding:
              schema:
                type: string
                example: chunked
            Vary:
              schema:
                type: string
                example: Origin
            Via:
              schema:
                type: string
                example: >-
                  1.1 368146333bf1a1071e8432a7d4e41e1a.cloudfront.net
                  (CloudFront)
            X-Amz-Cf-Id:
              schema:
                type: string
                example: 9KLnWzZc50ggp0yMTNt3n4mSe80iK0by1gF1p2eNLXoLWEvu8rMMdg==
            X-Amz-Cf-Pop:
              schema:
                type: string
                example: IAD89-C3
            X-Cache:
              schema:
                type: string
                example: Miss from cloudfront
            x-memc:
              schema:
                type: string
                example: HIT
            x-memc-age:
              schema:
                type: string
                example: '17394'
            x-memc-expires:
              schema:
                type: string
                example: '8552'
            x-memc-key:
              schema:
                type: string
                example: 5ef47425dfefc9a431bc55c3de013d67
          content:
            application/json:
              schema:
                type: object
                properties:
                  page:
                    type: number
                    example: 1
                  results:
                    type: array
                    items:
                      type: object
                      properties:
                        adult:
                          type: boolean
                          example: false
                        backdrop_path:
                          type: string
                          nullable: true
                          example: /vgeDRVpSUa4Hvovg4C6dgm4dfUW.jpg
                        first_air_date:
                          type: string
                          example: '2020-11-02'
                        genre_ids:
                          type: array
                          items:
                            type: number
                            example: 10766
                          example:
                            - 10766
                            - 18
                        id:
                          type: number
                          example: 112470
                        name:
                          type: string
                          example: Ici tout commence
                        origin_country:
                          type: array
                          items:
                            type: string
                            example: FR
                          example:
                            - FR
                        original_language:
                          type: string
                          example: fr
                        original_name:
                          type: string
                          example: Ici tout commence
                        overview:
                          type: string
                          example: >-
                            This television drama series is centered around the
                            prestigious culinary school of renowned chef Auguste
                            Armand. The show follows the lives of students and
                            staff as they navigate the challenges and pressures
                            of the culinary world—delving into their personal
                            and professional lives, revealing secrets,
                            rivalries, and complex relationships.
                        popularity:
                          type: number
                          example: 3455.831
                        poster_path:
                          type: string
                          nullable: true
                          example: /v7nXPo2zdaIOfeIaERiOuTEt89N.jpg
                        vote_average:
                          type: number
                          example: 6.9
                        vote_count:
                          type: number
                          example: 82
                    example:
                      - adult: false
                        backdrop_path: /vgeDRVpSUa4Hvovg4C6dgm4dfUW.jpg
                        first_air_date: '2020-11-02'
                        genre_ids:
                          - 10766
                          - 18
                        id: 112470
                        name: Ici tout commence
                        origin_country:
                          - FR
                        original_language: fr
                        original_name: Ici tout commence
                        overview: >-
                          This television drama series is centered around the
                          prestigious culinary school of renowned chef Auguste
                          Armand. The show follows the lives of students and
                          staff as they navigate the challenges and pressures of
                          the culinary world—delving into their personal and
                          professional lives, revealing secrets, rivalries, and
                          complex relationships.
                        popularity: 3455.831
                        poster_path: /v7nXPo2zdaIOfeIaERiOuTEt89N.jpg
                        vote_average: 6.9
                        vote_count: 82
                      - adult: false
                        backdrop_path: /zSPvARNCFpZxmWjgJCsBu5PUlR9.jpg
                        first_air_date: '2024-10-21'
                        genre_ids:
                          - 35
                          - 18
                          - 10751
                          - 10762
                          - 10759
                        id: 247885
                        name: Papás por Conveniencia
                        origin_country:
                          - MX
                          - US
                        original_language: en
                        original_name: Papás por Conveniencia
                        overview: >-
                          Tino, a single father who faces great challenges in
                          raising his two children, finds out one day that he is
                          also the father of two rebellious teenagers, children
                          of Aidé, a former high school classmate who has become
                          an important businesswoman. For Tino, this news
                          becomes an opportunity to take on the role of father
                          of the children he never knew he had. Thus, he begins
                          to work at Aidé's company, but everything gets
                          complicated when Tino and his family move into Aidé's
                          house to integrate into her new life. The house
                          becomes a battlefield, both of their children have
                          problems adapting, and love resurfaces between Tino
                          and Aidé and a torrid romance begins. But building
                          this new life for Aidé, Tino and their children will
                          not be easy; they will have to face serious obstacles,
                          always supported by the strength of their love and
                          that of their children.
                        popularity: 3368.568
                        poster_path: /y7yIu9PKx2WTphhYgbBq9C1RNzV.jpg
                        vote_average: 8
                        vote_count: 32
                      - adult: false
                        backdrop_path: /lmvsFQpAhx4k9dqKvOgb2B63MsC.jpg
                        first_air_date: '2012-01-30'
                        genre_ids:
                          - 10763
                          - 10767
                        id: 113779
                        name: Hallo Hessen
                        origin_country:
                          - DE
                        original_language: de
                        original_name: Hallo Hessen
                        overview: ''
                        popularity: 3128.1
                        poster_path: /zRGme9GL0H5RmwzxKYzoXafcRDp.jpg
                        vote_average: 7.1
                        vote_count: 4
                      - adult: false
                        backdrop_path: /mLcD1v4sfoa1juOsBat7Vik7wEe.jpg
                        first_air_date: '2024-03-18'
                        genre_ids:
                          - 10764
                        id: 248890
                        name: Ready Steady Cook South Africa
                        origin_country:
                          - ZA
                        original_language: en
                        original_name: Ready Steady Cook South Africa
                        overview: >-
                          In Ready Steady Cook, two teams - a Red Tomato and a
                          Green Pepper - compete in a Red Kitchen and a Green
                          Kitchen, together with a South African chef on each
                          side and paired with enthusiastic home cooks, as they
                          are challenged creatively with a mystery bag of
                          ingredients in a 20-minute cook-off.
                        popularity: 3103.602
                        poster_path: /30xX4IMbgnMbQwo76xM4BOSokZO.jpg
                        vote_average: 2.9
                        vote_count: 7
                      - adult: false
                        backdrop_path: /4i3iJepkqqH5JJgTNLJdi8ke6ir.jpg
                        first_air_date: '2024-05-06'
                        genre_ids:
                          - 10766
                        id: 249010
                        name: Kelders van Geheime
                        origin_country:
                          - ZA
                        original_language: af
                        original_name: Kelders van Geheime
                        overview: >-
                          Kelders van Geheime (Cellars of Secrets) is a South
                          African, Afrikaans-language telenovela based on the
                          wheeling's and dealings of the community that lives on
                          Soebatskloof (a wine farm in the Cape). The series
                          focuses on three families: the Abrahams, Syster and
                          Marais households. These families will have to stand
                          together, agree (or agree to disagree), and work
                          together to earn their bread and butter – and a glass
                          of wine.
                        popularity: 3126.601
                        poster_path: /vf1I0G5jICTstI1EXxb9Oqq80TU.jpg
                        vote_average: 6.182
                        vote_count: 11
                      - adult: false
                        backdrop_path: /7ZBNbpkLhC2fS90j6onLS8qqfRX.jpg
                        first_air_date: '2004-10-25'
                        genre_ids: []
                        id: 4682
                        name: 'Strictly Come Dancing: It Takes Two'
                        origin_country:
                          - GB
                        original_language: en
                        original_name: 'Strictly Come Dancing: It Takes Two'
                        overview: >-
                          The companion show to the popular BBC One programme
                          Strictly Come Dancing which features interviews and
                          training footage of the couples competing in the main
                          Saturday night show, opinions from the judges on the
                          previous Saturday show and the training footage for
                          the next, and interviews with celebrities who have
                          been watching the show.
                        popularity: 2800.793
                        poster_path: /1UOKLsJ3bopZHg6ntRfmO4C5Gcm.jpg
                        vote_average: 4.9
                        vote_count: 11
                      - adult: false
                        backdrop_path: /2wNuLc0cEoPz6PZItftrZLHjG2k.jpg
                        first_air_date: '2024-10-27'
                        genre_ids:
                          - 18
                          - 10751
                        id: 251691
                        name: Autumn of the Heart
                        origin_country:
                          - SA
                        original_language: ar
                        original_name: خريف القلب
                        overview: >-
                          A devastating car accident unearths a long-buried
                          secret that turns wealthy businessman Rashid and
                          hardworking Nahla's life around; fifteen years ago,
                          their daughters were switched at birth.
                        popularity: 1330.423
                        poster_path: /8uDmIxjBx90y5OCwJDBADtQzxb7.jpg
                        vote_average: 5.5
                        vote_count: 2
                      - adult: false
                        backdrop_path: /4ErOWmDGyGk0qCK1J8blAoj1a7a.jpg
                        first_air_date: '2024-06-18'
                        genre_ids:
                          - 18
                        id: 252373
                        name: A Promessa
                        origin_country:
                          - PT
                        original_language: pt
                        original_name: A Promessa
                        overview: ''
                        popularity: 2665.726
                        poster_path: /uptgxt2apx5wwWItQzqL0HwhjZC.jpg
                        vote_average: 6.2
                        vote_count: 12
                      - adult: false
                        backdrop_path: /jWXrQstj7p3Wl5MfYWY6IHqRpDb.jpg
                        first_air_date: '1952-12-26'
                        genre_ids:
                          - 10763
                        id: 94722
                        name: Tagesschau
                        origin_country:
                          - DE
                        original_language: de
                        original_name: Tagesschau
                        overview: >-
                          German daily news program, the oldest still existing
                          program on German television.
                        popularity: 1128.824
                        poster_path: /7dFZJ2ZJJdcmkp05B9NWlqTJ5tq.jpg
                        vote_average: 6.751
                        vote_count: 237
                      - adult: false
                        backdrop_path: null
                        first_air_date: '2000-05-04'
                        genre_ids:
                          - 10767
                        id: 112261
                        name: Abendschau
                        origin_country:
                          - DE
                        original_language: de
                        original_name: Abendschau
                        overview: ''
                        popularity: 2539.75
                        poster_path: null
                        vote_average: 0
                        vote_count: 0
                      - adult: false
                        backdrop_path: /zk3UqXnnK7cpUv6LsD9DS8FtUxb.jpg
                        first_air_date: '2024-09-02'
                        genre_ids:
                          - 18
                          - 10759
                        id: 256121
                        name: Lavender Fields
                        origin_country:
                          - PH
                        original_language: tl
                        original_name: Lavender Fields
                        overview: >-
                          Jasmin loved her idyllic life in her mountain town,
                          but a brush with a criminal empire took it all away.
                          Now she's out for revenge with a new identity.
                        popularity: 2351.853
                        poster_path: /lphvsr062SlxWM6XegsV2dLGaiE.jpg
                        vote_average: 8.2
                        vote_count: 5
                      - adult: false
                        backdrop_path: null
                        first_air_date: '2005-09-05'
                        genre_ids:
                          - 18
                          - 35
                        id: 36361
                        name: Ulice
                        origin_country:
                          - CZ
                        original_language: cs
                        original_name: Ulice
                        overview: >-
                          Ulice is a Czech soap opera produced and broadcast by
                          Nova. In the Czech language Ulice means street.


                          The show describes the lives of the Farský, Jordán,
                          Boháč, Nikl, and Liška families and many other people
                          that live in Prague. Their daily battle against real
                          problems of living in a modern world like divorce,
                          love, betrayal and illness or disease. Ulice often
                          shows crime.
                        popularity: 2401.787
                        poster_path: /gFEHva8Csx18hMGJJZ6gi4sFSKR.jpg
                        vote_average: 4.6
                        vote_count: 30
                      - adult: false
                        backdrop_path: /mu3lEhGovyhKHPJzb7HNYtZUCDT.jpg
                        first_air_date: '2005-10-13'
                        genre_ids:
                          - 10766
                        id: 206559
                        name: Binnelanders
                        origin_country:
                          - ZA
                        original_language: af
                        original_name: Binnelanders
                        overview: >-
                          A South African Afrikaans soap opera. It is set in and
                          around the fictional private hospital, Binneland
                          Kliniek, in Pretoria, and the storyline follows the
                          trials, trauma and tribulations of the staff and
                          patients of the hospital.
                        popularity: 2252.65
                        poster_path: /3bzECfllho8PphdYujLUIuhncJD.jpg
                        vote_average: 5.6
                        vote_count: 74
                      - adult: false
                        backdrop_path: /i8iqYtAy9qcO5RSrA1f6fY1n6SN.jpg
                        first_air_date: '2015-11-16'
                        genre_ids:
                          - 10766
                        id: 235484
                        name: Suidooster
                        origin_country:
                          - ZA
                        original_language: af
                        original_name: Suidooster
                        overview: >-
                          Suidooster is a South African television soap opera
                          produced by Suidooster Films which revolves around a
                          matriarch, her family, friends and the people of
                          Suidooster, a small shopping and business centre in
                          the fictional Cape Town suburb of Ruiterbosch.
                        popularity: 2145.669
                        poster_path: /naCgSiacvV685kait6fBvhVhdce.jpg
                        vote_average: 7.65
                        vote_count: 20
                      - adult: false
                        backdrop_path: /tPLUHT2cQYJi66aSZZ1qrcu74Zq.jpg
                        first_air_date: '2024-11-04'
                        genre_ids:
                          - 10766
                          - 18
                        id: 257048
                        name: Garota do Momento
                        origin_country:
                          - BR
                        original_language: pt
                        original_name: Garota do Momento
                        overview: ''
                        popularity: 2129.942
                        poster_path: /jFSkjQSZ5Td52igalpoTQRuHtk.jpg
                        vote_average: 7.9
                        vote_count: 8
                      - adult: false
                        backdrop_path: /mweK3weLTbmrG0TS3yLhnrjqM3A.jpg
                        first_air_date: '2024-11-27'
                        genre_ids:
                          - 80
                          - 18
                        id: 233971
                        name: We Are Criminal Police
                        origin_country:
                          - CN
                        original_language: zh
                        original_name: 我是刑警
                        overview: >-
                          After graduating from the police academy, Qin Chuan
                          and his friends return to their hometown as police
                          officers, determined to pursue their dream of becoming
                          detectives. Despite challenges, Qin Chuan’s career
                          takes off when he proves his courage in a critical
                          situation. Under the guidance of his superiors, he
                          grows into a skilled detective, facing the weight of
                          his responsibilities and the realities of the job.
                        popularity: 2096.002
                        poster_path: /qFIaVIMwb6uaHwguLO1hUKh7Get.jpg
                        vote_average: 8.2
                        vote_count: 4
                      - adult: false
                        backdrop_path: /C0A0Ar8QTnST03sy816MxdUt3K.jpg
                        first_air_date: '2010-11-22'
                        genre_ids:
                          - 10764
                        id: 60780
                        name: Four in a Bed
                        origin_country:
                          - GB
                        original_language: en
                        original_name: Four in a Bed
                        overview: >-
                          Four pairs of B&B owners from across Britain take it
                          in turns as hosts to decide which of their
                          establishments provides the best value for money.
                        popularity: 2056.561
                        poster_path: /nFzW9V9rjKQcsunNrjw1yPc2zT8.jpg
                        vote_average: 6.2
                        vote_count: 16
                      - adult: false
                        backdrop_path: /kFyO7f1vxcUwnj32U62jFvdGfPd.jpg
                        first_air_date: '2023-12-01'
                        genre_ids:
                          - 35
                          - 10767
                        id: 239270
                        name: Asbjørns julekalender
                        origin_country:
                          - 'NO'
                        original_language: 'no'
                        original_name: Asbjørns julekalender
                        overview: ''
                        popularity: 1435.794
                        poster_path: /lG3usDELM3VixdqTGWNdjE8QVms.jpg
                        vote_average: 0
                        vote_count: 0
                      - adult: false
                        backdrop_path: /9zIqN0oMmaeFvBlccgw80sWed7I.jpg
                        first_air_date: '2007-09-10'
                        genre_ids:
                          - 10763
                          - 35
                        id: 13008
                        name: TMZ
                        origin_country:
                          - US
                        original_language: en
                        original_name: TMZ
                        overview: >-
                          Based on the popular gossip website, this
                          entertainment newsmagazine delivers daily updates on
                          Hollywood's rich, beautiful and screwed-up. The
                          program often shows highlights of the day's staff
                          meeting during which reporters pitch ideas for stories
                          to air that day.
                        popularity: 1982.607
                        poster_path: /ifFpUG51DJaQxwnZ35VwoGRFGGv.jpg
                        vote_average: 4.714
                        vote_count: 14
                      - adult: false
                        backdrop_path: /enVrO8TRkdT8dmYXTfI4sEjR5Kp.jpg
                        first_air_date: '2024-11-07'
                        genre_ids:
                          - 18
                          - 10759
                          - 9648
                        id: 222766
                        name: The Day of the Jackal
                        origin_country:
                          - GB
                        original_language: en
                        original_name: The Day of the Jackal
                        overview: >-
                          An unrivalled and highly elusive lone assassin, the
                          Jackal, makes his living carrying out hits for the
                          highest fee. But following his latest kill, he meets
                          his match in a tenacious British intelligence officer
                          who starts to track down the Jackal in a thrilling
                          cat-and-mouse chase across Europe, leaving destruction
                          in its wake.
                        popularity: 1387.65
                        poster_path: /wx1NFvapK10CvEppm9y8333uZWG.jpg
                        vote_average: 8.3
                        vote_count: 147
                  total_pages:
                    type: number
                    example: 9375
                  total_results:
                    type: number
                    example: 187481
              examples:
                Discover TV with filters:
                  value:
                    page: 1
                    results:
                      - adult: false
                        backdrop_path: /vgeDRVpSUa4Hvovg4C6dgm4dfUW.jpg
                        first_air_date: '2020-11-02'
                        genre_ids:
                          - 10766
                          - 18
                        id: 112470
                        name: Ici tout commence
                        origin_country:
                          - FR
                        original_language: fr
                        original_name: Ici tout commence
                        overview: >-
                          This television drama series is centered around the
                          prestigious culinary school of renowned chef Auguste
                          Armand. The show follows the lives of students and
                          staff as they navigate the challenges and pressures of
                          the culinary world—delving into their personal and
                          professional lives, revealing secrets, rivalries, and
                          complex relationships.
                        popularity: 3455.831
                        poster_path: /v7nXPo2zdaIOfeIaERiOuTEt89N.jpg
                        vote_average: 6.9
                        vote_count: 82
                      - adult: false
                        backdrop_path: /zSPvARNCFpZxmWjgJCsBu5PUlR9.jpg
                        first_air_date: '2024-10-21'
                        genre_ids:
                          - 35
                          - 18
                          - 10751
                          - 10762
                          - 10759
                        id: 247885
                        name: Papás por Conveniencia
                        origin_country:
                          - MX
                          - US
                        original_language: en
                        original_name: Papás por Conveniencia
                        overview: >-
                          Tino, a single father who faces great challenges in
                          raising his two children, finds out one day that he is
                          also the father of two rebellious teenagers, children
                          of Aidé, a former high school classmate who has become
                          an important businesswoman. For Tino, this news
                          becomes an opportunity to take on the role of father
                          of the children he never knew he had. Thus, he begins
                          to work at Aidé's company, but everything gets
                          complicated when Tino and his family move into Aidé's
                          house to integrate into her new life. The house
                          becomes a battlefield, both of their children have
                          problems adapting, and love resurfaces between Tino
                          and Aidé and a torrid romance begins. But building
                          this new life for Aidé, Tino and their children will
                          not be easy; they will have to face serious obstacles,
                          always supported by the strength of their love and
                          that of their children.
                        popularity: 3368.568
                        poster_path: /y7yIu9PKx2WTphhYgbBq9C1RNzV.jpg
                        vote_average: 8
                        vote_count: 32
                      - adult: false
                        backdrop_path: /lmvsFQpAhx4k9dqKvOgb2B63MsC.jpg
                        first_air_date: '2012-01-30'
                        genre_ids:
                          - 10763
                          - 10767
                        id: 113779
                        name: Hallo Hessen
                        origin_country:
                          - DE
                        original_language: de
                        original_name: Hallo Hessen
                        overview: ''
                        popularity: 3128.1
                        poster_path: /zRGme9GL0H5RmwzxKYzoXafcRDp.jpg
                        vote_average: 7.1
                        vote_count: 4
                      - adult: false
                        backdrop_path: /mLcD1v4sfoa1juOsBat7Vik7wEe.jpg
                        first_air_date: '2024-03-18'
                        genre_ids:
                          - 10764
                        id: 248890
                        name: Ready Steady Cook South Africa
                        origin_country:
                          - ZA
                        original_language: en
                        original_name: Ready Steady Cook South Africa
                        overview: >-
                          In Ready Steady Cook, two teams - a Red Tomato and a
                          Green Pepper - compete in a Red Kitchen and a Green
                          Kitchen, together with a South African chef on each
                          side and paired with enthusiastic home cooks, as they
                          are challenged creatively with a mystery bag of
                          ingredients in a 20-minute cook-off.
                        popularity: 3103.602
                        poster_path: /30xX4IMbgnMbQwo76xM4BOSokZO.jpg
                        vote_average: 2.9
                        vote_count: 7
                      - adult: false
                        backdrop_path: /4i3iJepkqqH5JJgTNLJdi8ke6ir.jpg
                        first_air_date: '2024-05-06'
                        genre_ids:
                          - 10766
                        id: 249010
                        name: Kelders van Geheime
                        origin_country:
                          - ZA
                        original_language: af
                        original_name: Kelders van Geheime
                        overview: >-
                          Kelders van Geheime (Cellars of Secrets) is a South
                          African, Afrikaans-language telenovela based on the
                          wheeling's and dealings of the community that lives on
                          Soebatskloof (a wine farm in the Cape). The series
                          focuses on three families: the Abrahams, Syster and
                          Marais households. These families will have to stand
                          together, agree (or agree to disagree), and work
                          together to earn their bread and butter – and a glass
                          of wine.
                        popularity: 3126.601
                        poster_path: /vf1I0G5jICTstI1EXxb9Oqq80TU.jpg
                        vote_average: 6.182
                        vote_count: 11
                      - adult: false
                        backdrop_path: /7ZBNbpkLhC2fS90j6onLS8qqfRX.jpg
                        first_air_date: '2004-10-25'
                        genre_ids: []
                        id: 4682
                        name: 'Strictly Come Dancing: It Takes Two'
                        origin_country:
                          - GB
                        original_language: en
                        original_name: 'Strictly Come Dancing: It Takes Two'
                        overview: >-
                          The companion show to the popular BBC One programme
                          Strictly Come Dancing which features interviews and
                          training footage of the couples competing in the main
                          Saturday night show, opinions from the judges on the
                          previous Saturday show and the training footage for
                          the next, and interviews with celebrities who have
                          been watching the show.
                        popularity: 2800.793
                        poster_path: /1UOKLsJ3bopZHg6ntRfmO4C5Gcm.jpg
                        vote_average: 4.9
                        vote_count: 11
                      - adult: false
                        backdrop_path: /2wNuLc0cEoPz6PZItftrZLHjG2k.jpg
                        first_air_date: '2024-10-27'
                        genre_ids:
                          - 18
                          - 10751
                        id: 251691
                        name: Autumn of the Heart
                        origin_country:
                          - SA
                        original_language: ar
                        original_name: خريف القلب
                        overview: >-
                          A devastating car accident unearths a long-buried
                          secret that turns wealthy businessman Rashid and
                          hardworking Nahla's life around; fifteen years ago,
                          their daughters were switched at birth.
                        popularity: 1330.423
                        poster_path: /8uDmIxjBx90y5OCwJDBADtQzxb7.jpg
                        vote_average: 5.5
                        vote_count: 2
                      - adult: false
                        backdrop_path: /4ErOWmDGyGk0qCK1J8blAoj1a7a.jpg
                        first_air_date: '2024-06-18'
                        genre_ids:
                          - 18
                        id: 252373
                        name: A Promessa
                        origin_country:
                          - PT
                        original_language: pt
                        original_name: A Promessa
                        overview: ''
                        popularity: 2665.726
                        poster_path: /uptgxt2apx5wwWItQzqL0HwhjZC.jpg
                        vote_average: 6.2
                        vote_count: 12
                      - adult: false
                        backdrop_path: /jWXrQstj7p3Wl5MfYWY6IHqRpDb.jpg
                        first_air_date: '1952-12-26'
                        genre_ids:
                          - 10763
                        id: 94722
                        name: Tagesschau
                        origin_country:
                          - DE
                        original_language: de
                        original_name: Tagesschau
                        overview: >-
                          German daily news program, the oldest still existing
                          program on German television.
                        popularity: 1128.824
                        poster_path: /7dFZJ2ZJJdcmkp05B9NWlqTJ5tq.jpg
                        vote_average: 6.751
                        vote_count: 237
                      - adult: false
                        backdrop_path: null
                        first_air_date: '2000-05-04'
                        genre_ids:
                          - 10767
                        id: 112261
                        name: Abendschau
                        origin_country:
                          - DE
                        original_language: de
                        original_name: Abendschau
                        overview: ''
                        popularity: 2539.75
                        poster_path: null
                        vote_average: 0
                        vote_count: 0
                      - adult: false
                        backdrop_path: /zk3UqXnnK7cpUv6LsD9DS8FtUxb.jpg
                        first_air_date: '2024-09-02'
                        genre_ids:
                          - 18
                          - 10759
                        id: 256121
                        name: Lavender Fields
                        origin_country:
                          - PH
                        original_language: tl
                        original_name: Lavender Fields
                        overview: >-
                          Jasmin loved her idyllic life in her mountain town,
                          but a brush with a criminal empire took it all away.
                          Now she's out for revenge with a new identity.
                        popularity: 2351.853
                        poster_path: /lphvsr062SlxWM6XegsV2dLGaiE.jpg
                        vote_average: 8.2
                        vote_count: 5
                      - adult: false
                        backdrop_path: null
                        first_air_date: '2005-09-05'
                        genre_ids:
                          - 18
                          - 35
                        id: 36361
                        name: Ulice
                        origin_country:
                          - CZ
                        original_language: cs
                        original_name: Ulice
                        overview: >-
                          Ulice is a Czech soap opera produced and broadcast by
                          Nova. In the Czech language Ulice means street.


                          The show describes the lives of the Farský, Jordán,
                          Boháč, Nikl, and Liška families and many other people
                          that live in Prague. Their daily battle against real
                          problems of living in a modern world like divorce,
                          love, betrayal and illness or disease. Ulice often
                          shows crime.
                        popularity: 2401.787
                        poster_path: /gFEHva8Csx18hMGJJZ6gi4sFSKR.jpg
                        vote_average: 4.6
                        vote_count: 30
                      - adult: false
                        backdrop_path: /mu3lEhGovyhKHPJzb7HNYtZUCDT.jpg
                        first_air_date: '2005-10-13'
                        genre_ids:
                          - 10766
                        id: 206559
                        name: Binnelanders
                        origin_country:
                          - ZA
                        original_language: af
                        original_name: Binnelanders
                        overview: >-
                          A South African Afrikaans soap opera. It is set in and
                          around the fictional private hospital, Binneland
                          Kliniek, in Pretoria, and the storyline follows the
                          trials, trauma and tribulations of the staff and
                          patients of the hospital.
                        popularity: 2252.65
                        poster_path: /3bzECfllho8PphdYujLUIuhncJD.jpg
                        vote_average: 5.6
                        vote_count: 74
                      - adult: false
                        backdrop_path: /i8iqYtAy9qcO5RSrA1f6fY1n6SN.jpg
                        first_air_date: '2015-11-16'
                        genre_ids:
                          - 10766
                        id: 235484
                        name: Suidooster
                        origin_country:
                          - ZA
                        original_language: af
                        original_name: Suidooster
                        overview: >-
                          Suidooster is a South African television soap opera
                          produced by Suidooster Films which revolves around a
                          matriarch, her family, friends and the people of
                          Suidooster, a small shopping and business centre in
                          the fictional Cape Town suburb of Ruiterbosch.
                        popularity: 2145.669
                        poster_path: /naCgSiacvV685kait6fBvhVhdce.jpg
                        vote_average: 7.65
                        vote_count: 20
                      - adult: false
                        backdrop_path: /tPLUHT2cQYJi66aSZZ1qrcu74Zq.jpg
                        first_air_date: '2024-11-04'
                        genre_ids:
                          - 10766
                          - 18
                        id: 257048
                        name: Garota do Momento
                        origin_country:
                          - BR
                        original_language: pt
                        original_name: Garota do Momento
                        overview: ''
                        popularity: 2129.942
                        poster_path: /jFSkjQSZ5Td52igalpoTQRuHtk.jpg
                        vote_average: 7.9
                        vote_count: 8
                      - adult: false
                        backdrop_path: /mweK3weLTbmrG0TS3yLhnrjqM3A.jpg
                        first_air_date: '2024-11-27'
                        genre_ids:
                          - 80
                          - 18
                        id: 233971
                        name: We Are Criminal Police
                        origin_country:
                          - CN
                        original_language: zh
                        original_name: 我是刑警
                        overview: >-
                          After graduating from the police academy, Qin Chuan
                          and his friends return to their hometown as police
                          officers, determined to pursue their dream of becoming
                          detectives. Despite challenges, Qin Chuan’s career
                          takes off when he proves his courage in a critical
                          situation. Under the guidance of his superiors, he
                          grows into a skilled detective, facing the weight of
                          his responsibilities and the realities of the job.
                        popularity: 2096.002
                        poster_path: /qFIaVIMwb6uaHwguLO1hUKh7Get.jpg
                        vote_average: 8.2
                        vote_count: 4
                      - adult: false
                        backdrop_path: /C0A0Ar8QTnST03sy816MxdUt3K.jpg
                        first_air_date: '2010-11-22'
                        genre_ids:
                          - 10764
                        id: 60780
                        name: Four in a Bed
                        origin_country:
                          - GB
                        original_language: en
                        original_name: Four in a Bed
                        overview: >-
                          Four pairs of B&B owners from across Britain take it
                          in turns as hosts to decide which of their
                          establishments provides the best value for money.
                        popularity: 2056.561
                        poster_path: /nFzW9V9rjKQcsunNrjw1yPc2zT8.jpg
                        vote_average: 6.2
                        vote_count: 16
                      - adult: false
                        backdrop_path: /kFyO7f1vxcUwnj32U62jFvdGfPd.jpg
                        first_air_date: '2023-12-01'
                        genre_ids:
                          - 35
                          - 10767
                        id: 239270
                        name: Asbjørns julekalender
                        origin_country:
                          - 'NO'
                        original_language: 'no'
                        original_name: Asbjørns julekalender
                        overview: ''
                        popularity: 1435.794
                        poster_path: /lG3usDELM3VixdqTGWNdjE8QVms.jpg
                        vote_average: 0
                        vote_count: 0
                      - adult: false
                        backdrop_path: /9zIqN0oMmaeFvBlccgw80sWed7I.jpg
                        first_air_date: '2007-09-10'
                        genre_ids:
                          - 10763
                          - 35
                        id: 13008
                        name: TMZ
                        origin_country:
                          - US
                        original_language: en
                        original_name: TMZ
                        overview: >-
                          Based on the popular gossip website, this
                          entertainment newsmagazine delivers daily updates on
                          Hollywood's rich, beautiful and screwed-up. The
                          program often shows highlights of the day's staff
                          meeting during which reporters pitch ideas for stories
                          to air that day.
                        popularity: 1982.607
                        poster_path: /ifFpUG51DJaQxwnZ35VwoGRFGGv.jpg
                        vote_average: 4.714
                        vote_count: 14
                      - adult: false
                        backdrop_path: /enVrO8TRkdT8dmYXTfI4sEjR5Kp.jpg
                        first_air_date: '2024-11-07'
                        genre_ids:
                          - 18
                          - 10759
                          - 9648
                        id: 222766
                        name: The Day of the Jackal
                        origin_country:
                          - GB
                        original_language: en
                        original_name: The Day of the Jackal
                        overview: >-
                          An unrivalled and highly elusive lone assassin, the
                          Jackal, makes his living carrying out hits for the
                          highest fee. But following his latest kill, he meets
                          his match in a tenacious British intelligence officer
                          who starts to track down the Jackal in a thrilling
                          cat-and-mouse chase across Europe, leaving destruction
                          in its wake.
                        popularity: 1387.65
                        poster_path: /wx1NFvapK10CvEppm9y8333uZWG.jpg
                        vote_average: 8.3
                        vote_count: 147
                    total_pages: 9375
                    total_results: 187481
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````